Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3869 - problems with programs written in c++ and using ncurses
Summary: problems with programs written in c++ and using ncurses
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ncurses
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-02 14:38 UTC by Péter, Soós
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-05-05 17:13:59 UTC


Attachments (Terms of Use)

Description Péter, Soós 1999-07-02 14:38:46 UTC
There are problems with programs written in c++ and using
ncurses in Redhat Linux 6.0. You'd change in the build
section of spec file as follows:

CFLAGS="$RPM_OPT_FLAGS -DPURE_TERMINFO" ./configure \
        --prefix=/usr --with-install-prefix=$RPM_BUILD_ROOT\
        --with-normal --with-shared --with-debug \
--with-profile --with-cxx --without-ada \
        $RPM_ARCH-redhat-linux

Comment 1 Michael K. Johnson 1999-07-29 22:06:59 UTC
We know of several programs written in C++ which use ncurses and
which work fine in 6.0.  Could you please supply more specifics
about what programs aren't working for you and what the problems
are?  Thanks.

Comment 2 Péter, Soós 1999-08-03 13:17:59 UTC
See le-1.5.0-1.src.rpm package on contrib.redhat.com/libc6.

Comment 3 Preston Brown 1999-08-29 15:59:59 UTC
I had no problem compiling the le package, other than the fact that it
uses the old %attr(mode) format, where it should use
%attr(mode,owner,group) format.  This is why packaging the RPM fails.

Comment 4 Péter, Soós 1999-08-30 06:13:59 UTC
Not the building is the problem but using. The screen handling is
buggy if ncurses is compiled without --with-cxx (e.g. scrolling
down and up fills my screen with the status bar). Ask the author of
the program Alexander V. Lukyanov <lav@yars.free.net>. He suggested
the solution.

Comment 5 Preston Brown 1999-09-23 17:51:59 UTC
I have problems with le even when ncurses is compiled with
"--with-cxx" instead of "--without-cxx".  I don't think the problem
lies there.  the --with-cxx only changes one thing -- it builds the
C++ demos.  It doesn't enable/disable cxx support.

This seems to be an le problem, not an ncurses problem, as far as my
research shows.

Comment 6 Péter, Soós 1999-09-24 07:33:59 UTC
I rebuilt the ncurses package with --with-cxx, install it and after it
I built le-1.5.2-1.src.rpm package on contrib.redhat.com/libc6 and it
works fine.

Comment 7 Preston Brown 2000-05-05 17:13:59 UTC
ncurses has been fixed for this in 6.2 and later.


Note You need to log in before you can comment on or make changes to this bug.